GNU bug report logs - #19946
js-mode indentation with mixed Unix/DOS line endings

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: jostein@HIDDEN; dated Wed, 25 Feb 2015 16:45:03 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Changed bug title to 'js-mode indentation with mixed Unix/DOS line endings' from '24.4; js-mode, indentation' Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 19946 <at> debbugs.gnu.org:


Received: (at 19946) by debbugs.gnu.org; 3 Apr 2016 18:18:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 03 14:18:07 2016
Received: from localhost ([127.0.0.1]:50226 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ammb9-0004nX-55
	for submit <at> debbugs.gnu.org; Sun, 03 Apr 2016 14:18:07 -0400
Received: from eggs.gnu.org ([208.118.235.92]:52503)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ammb7-0004n3-E7
 for 19946 <at> debbugs.gnu.org; Sun, 03 Apr 2016 14:18:05 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1ammb1-0000gj-G2
 for 19946 <at> debbugs.gnu.org; Sun, 03 Apr 2016 14:18:00 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.5 required=5.0 tests=BAYES_05,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:57318)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1ammar-0000fo-Om; Sun, 03 Apr 2016 14:17:49 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:3667
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1ammaq-00070Z-OR; Sun, 03 Apr 2016 14:17:49 -0400
Date: Sun, 03 Apr 2016 21:17:20 +0300
Message-Id: <83mvpapnf3.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: John Wiegley <jwiegley@HIDDEN>
In-reply-to: <m2bn5qlg93.fsf@HIDDEN> (message from John Wiegley on
 Sun, 03 Apr 2016 11:05:44 -0700)
Subject: Re: bug#19946: 24.4; js-mode, indentation
References: <1424858977.3139392.232164745.05CFB51D@HIDDEN>
 <87r3f6unew.fsf@HIDDEN>
 <6420dbed-587e-87e1-e167-73359a65bf6b@HIDDEN>
 <1458500460.1739128.554550090.7C772DCA@HIDDEN>
 <56EEF3D8.1020106@HIDDEN>
 <1458501312.1741368.554560954.76F75ED3@HIDDEN>
 <m2bn5qlg93.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -6.0 (------)
X-Debbugs-Envelope-To: 19946
Cc: dan.colascione@HIDDEN, 19946 <at> debbugs.gnu.org,
 jostein@HIDDEN, simenheg@HIDDEN, dgutov@HIDDEN,
 jostein@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: John Wiegley <jwiegley@HIDDEN>
> Date: Sun, 03 Apr 2016 11:05:44 -0700
> Cc: dan.colascione@HIDDEN, 19946 <at> debbugs.gnu.org,
> 	Simen Heggestøyl <simenheg@HIDDEN>,
> 	Dmitry Gutov <dgutov@HIDDEN>, jostein@HIDDEN
> 
> >>>>> Jostein Kjønigsen <jostein@HIDDEN> writes:
> 
> > If we should at least attempt to adhere to the principle of least
> > astonishment, we need to either accept \r\n patches everywhere or change the
> > semantics of $ to also include \r, line-break format be damned.
> 
> What if there were another buffer coding system called "broken-msdos" or
> something, that accepted mixed \n and \r\n, but wrote out all \r\n?  I run
> into such files often enough.

We already have that, it's called "dos".




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19946; Package emacs. Full text available.

Message received at 19946 <at> debbugs.gnu.org:


Received: (at 19946) by debbugs.gnu.org; 3 Apr 2016 18:05:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 03 14:05:57 2016
Received: from localhost ([127.0.0.1]:50194 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ammPM-0004Ub-Sk
	for submit <at> debbugs.gnu.org; Sun, 03 Apr 2016 14:05:57 -0400
Received: from mail-ob0-f174.google.com ([209.85.214.174]:33945)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jwiegley@HIDDEN>) id 1ammPK-0004UC-LX
 for 19946 <at> debbugs.gnu.org; Sun, 03 Apr 2016 14:05:55 -0400
Received: by mail-ob0-f174.google.com with SMTP id bg3so19342374obb.1
 for <19946 <at> debbugs.gnu.org>; Sun, 03 Apr 2016 11:05:54 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:cc:subject:in-reply-to:date:message-id:references
 :user-agent:mime-version:content-transfer-encoding;
 bh=vsuuytNrEI2QsMeWvUFyma8NNyNPEAGZIueuRKGo+zE=;
 b=qZBWB9DncbT7vo3GexIP/jDPKmTE5XXrMT4Fc1S7VnthUO0N9eTLXbv2U04QYkJWBy
 ooNwsvg3+jp5mG+uk2+6eiHgLOJtSy81bed2xVoyWjzHkiIiOeG6Vy3oux8duiLHbgs6
 Sm98sE0oS35Sc7qqltwbFbW6AbQtm7gIFG/cYUNLndpC/25cHY8fUbbZM1NC+2qDiPD5
 GDn1bSMLVC46uy4dr+rGAYQkkXfa5t8e/JuO7KtvLkPpgoBvCLSqYectIp1nzPwpMA+J
 reu0j3jLc0hy0tdsdFge5eH7f/24B6znwOvOd4Fy71UOgBjF7XPDn/xCT/h4n7cUufp3
 /umg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:date:message-id
 :references:user-agent:mime-version:content-transfer-encoding;
 bh=vsuuytNrEI2QsMeWvUFyma8NNyNPEAGZIueuRKGo+zE=;
 b=dZ5mLFkuksG7oXyYBy+hlG4NAnoQmlHTDaXV8PEGdwlSzrw4fEVx8CpVOq0CFWqT3r
 ig//xy/PMej84O1Y8TRAqTFUTeUZHGaPy2qrjkjsKgf2zH5pu7z59m4UrAAwIl3VhpAY
 E9FS+/cXfrxKQvLvqLHbumbVV0vd87UevEYv9rb7g3ARhhMzQJ9k97mITNg8yFtoIXGz
 2mY/F/woqXX2aLMrM4YPfsb3UjywJHXQenq9mjUYqdIfZXcGHH5Aqc4td5Ky+PfTfB+i
 c2014uEOkOaMTHDlPhneQkFhqALhXY4ixLIRpuTsXLm8hbF4hPv9MM6RLRtO7OFxS8QE
 tBBQ==
X-Gm-Message-State: AD7BkJJ9uGQp23e3gFASvBYSi+10y93Nm7cInTO+LAHPwdH/p6Fk1IafKXSNsJtTlzB4Bg==
X-Received: by 10.60.138.9 with SMTP id qm9mr2206372oeb.80.1459706749198;
 Sun, 03 Apr 2016 11:05:49 -0700 (PDT)
Received: from Vulcan.local (76-234-68-79.lightspeed.frokca.sbcglobal.net.
 [76.234.68.79])
 by smtp.gmail.com with ESMTPSA id s90sm7262461otb.3.2016.04.03.11.05.48
 (version=TLS1 cipher=AES128-SHA bits=128/128);
 Sun, 03 Apr 2016 11:05:48 -0700 (PDT)
From: John Wiegley <jwiegley@HIDDEN>
X-Google-Original-From: "John Wiegley" <johnw@HIDDEN>
Received: by Vulcan.local (Postfix, from userid 501)
 id 734C113DAA4DC; Sun,  3 Apr 2016 11:05:47 -0700 (PDT)
To: Jostein =?utf-8?Q?Kj=C3=B8nigsen?= <jostein@HIDDEN>
Subject: Re: bug#19946: 24.4; js-mode, indentation
In-Reply-To: <1458501312.1741368.554560954.76F75ED3@HIDDEN>
 ("Jostein \=\?utf-8\?Q\?Kj\=C3\=B8nigsen\=22's\?\= message of "Sun, 20 Mar 2016
 20:15:12 +0100")
Date: Sun, 03 Apr 2016 11:05:44 -0700
Message-ID: <m2bn5qlg93.fsf@HIDDEN>
References: <1424858977.3139392.232164745.05CFB51D@HIDDEN>
 <87r3f6unew.fsf@HIDDEN>
 <6420dbed-587e-87e1-e167-73359a65bf6b@HIDDEN>
 <1458500460.1739128.554550090.7C772DCA@HIDDEN>
 <56EEF3D8.1020106@HIDDEN>
 <1458501312.1741368.554560954.76F75ED3@HIDDEN>
User-Agent: Gnus/5.130014 (Ma Gnus v0.14) Emacs/25.1.50 (darwin)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 19946
Cc: dan.colascione@HIDDEN, 19946 <at> debbugs.gnu.org,
 Simen =?utf-8?Q?Heggest=C3=B8yl?= <simenheg@HIDDEN>,
 Dmitry Gutov <dgutov@HIDDEN>, Daniel Colascione <dancol@HIDDEN>,
 jostein@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

>>>>> Jostein Kj=C3=B8nigsen <jostein@HIDDEN> writes:

> If we should at least attempt to adhere to the principle of least
> astonishment, we need to either accept \r\n patches everywhere or change =
the
> semantics of $ to also include \r, line-break format be damned.

What if there were another buffer coding system called "broken-msdos" or
something, that accepted mixed \n and \r\n, but wrote out all \r\n?  I run
into such files often enough.

--=20
John Wiegley                  GPG fingerprint =3D 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19946; Package emacs. Full text available.

Message received at 19946 <at> debbugs.gnu.org:


Received: (at 19946) by debbugs.gnu.org; 21 Mar 2016 00:32:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 20 20:32:48 2016
Received: from localhost ([127.0.0.1]:56019 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ahnm4-00069c-LH
	for submit <at> debbugs.gnu.org; Sun, 20 Mar 2016 20:32:48 -0400
Received: from mail-wm0-f43.google.com ([74.125.82.43]:37716)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1ahnm3-00069R-0l
 for 19946 <at> debbugs.gnu.org; Sun, 20 Mar 2016 20:32:47 -0400
Received: by mail-wm0-f43.google.com with SMTP id p65so103695906wmp.0
 for <19946 <at> debbugs.gnu.org>; Sun, 20 Mar 2016 17:32:46 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=sender:subject:to:references:cc:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-transfer-encoding;
 bh=MCZOOxWQwiAsGsHD4zpQ0Nv+9APQqpwHWLlT3AERN2E=;
 b=DX+2cpp9hbCT8kz5uhnqkdAf0pkSxZ5NkC1f6Kh6CCII9zqwWWziUUgxqP5R/xASal
 njp2tsNmx/JNCanrtM3nzqRD19XbWZqzZYuthUnE2XeKsmvsDZMIk+ZHE9DnZR2tvSEO
 NB4Wpva9oxfz0MPGtzai02IM7X8bkvSkGQcLPMvsNLwskh1WxSLQdgtdnyffoBiS65xi
 iTTw+Z0vgxFdWfShHgttxbWbTb2ZaHfwVLbCrhaeJTNGfTFDcUmigMg1bThiscRVBErD
 IfVIm12ZEobCzHTFJF5Jv8xv/HEQBT6kOEWWUkm8Ps1wQspjnvyQ9+LrUJCfepU8nmKK
 JeIw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:sender:subject:to:references:cc:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-transfer-encoding;
 bh=MCZOOxWQwiAsGsHD4zpQ0Nv+9APQqpwHWLlT3AERN2E=;
 b=QLFxTkkBKPZR5xFGYdCBw7enrLBUjBBRTDhcBEYIWS/tL9MnJ+XqqE3yGToJbkVjMM
 9VYDMtAzqXigtbI0TEm713ZFDQzNjiejv+HAn3XetKMNRX7U1w3ySCorLBAHPPmAtuwE
 t7Axz8B01T1CGzg+KdPP5dXrmP1ohvpI04Orr8sKH+ZUOo8n/a7mJbU58LIAk6QXvX/a
 lvpR+/OPN0lSB/ptjlWIy3bgPAVvc7nVWCAkIaHnbHQNv/lQvJn0jyfDBFYpBxU2k2/Q
 tfRmcLS44Yz8wIMbqJ7NNpyLn7prMTTSk9ecan+JMtKz+jqIi+j7fKs52jGUtrqQUT+a
 Puzg==
X-Gm-Message-State: AD7BkJJfq+vOYqxSNyP39xpZiSeC7vCfnt0jP7Kw6cD/7Kls0tUhOOqoQd2JY3kKjKWZHw==
X-Received: by 10.194.59.233 with SMTP id c9mr26063717wjr.88.1458520361166;
 Sun, 20 Mar 2016 17:32:41 -0700 (PDT)
Received: from [192.168.1.2] ([185.105.175.24])
 by smtp.googlemail.com with ESMTPSA id p189sm9985252wmb.7.2016.03.20.17.32.39
 (version=TLSv1/SSLv3 cipher=OTHER);
 Sun, 20 Mar 2016 17:32:40 -0700 (PDT)
Subject: Re: bug#19946: 24.4; js-mode, indentation
To: Daniel Colascione <dancol@HIDDEN>, jostein@HIDDEN,
 =?UTF-8?Q?Simen_Heggest=c3=b8yl?= <simenheg@HIDDEN>
References: <1424858977.3139392.232164745.05CFB51D@HIDDEN>
 <87r3f6unew.fsf@HIDDEN> <6420dbed-587e-87e1-e167-73359a65bf6b@HIDDEN>
 <1458500460.1739128.554550090.7C772DCA@HIDDEN>
 <008e3b7c-4867-ce5b-153c-83ea3a31030d@HIDDEN>
 <1458503264.1747260.554579266.3BC0CBEA@HIDDEN>
 <f3c19186-d327-37f9-dd8a-2281eafb94ae@HIDDEN>
 <56EF3B7A.6050807@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <4f103845-0aec-22d0-dd83-b4d7ce31e198@HIDDEN>
Date: Mon, 21 Mar 2016 02:32:38 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.0
MIME-Version: 1.0
In-Reply-To: <56EF3B7A.6050807@HIDDEN>
Content-Type: text/plain; charset=windows-1252; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 19946
Cc: Alan Mackenzie <acm@HIDDEN>, 19946 <at> debbugs.gnu.org,
 dan.colascione@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 03/21/2016 02:08 AM, Daniel Colascione wrote:

> It don't have any problem teaching specific modes about carriage
> returns, but this approach doesn't scale.

What about putting that mapping into the standard syntax table?

> A better approach, I think,
> would be to extend something like ws-butler for dealing with
> mixed-line-ending files. On load, we'd transform `\r\n' -> `\n', but
> *remember* which `\n's represent `\r\n` and perform the reverse
> translation when writing. This way, you'd preserve clowny extra carriage
> returns from other people, but see a clean, unified view in Emacs.

And yet another way is to use Git's automatic crlf conversion.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19946; Package emacs. Full text available.

Message received at 19946 <at> debbugs.gnu.org:


Received: (at 19946) by debbugs.gnu.org; 21 Mar 2016 00:08:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 20 20:08:40 2016
Received: from localhost ([127.0.0.1]:55992 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ahnOi-0005NI-Et
	for submit <at> debbugs.gnu.org; Sun, 20 Mar 2016 20:08:40 -0400
Received: from dancol.org ([96.126.100.184]:40654)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dancol@HIDDEN>) id 1ahnOg-0005NA-H8
 for 19946 <at> debbugs.gnu.org; Sun, 20 Mar 2016 20:08:38 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=dancol.org;
 s=x; 
 h=Content-Type:In-Reply-To:MIME-Version:Date:Message-ID:From:Cc:References:To:Subject;
 bh=S45N8av4Og6+eCwWE+3I2VLtw3C8LjClHVx+gs4rUNY=; 
 b=c8j8Ep3eJLso55x/D615Zid5PY5PmZI9exEsveywxdz4OpD1W2jIXNFOEU2CA1m1aPniPzDWDA6qtL3aaGOnNpnY2J1efwibdl+ZSpkoq4IMyvI5guOzonPuTv4NhSLOKkRRHzr6IJSHFjWeD6ugv+jthOye7VcY5yHbVp8Z9fThvzK+puLRNUnxHiHkjHAO5rZLHez2sHQ+/bJKJdrH/wPkvsHVPJfTXk/x7ih1FjEooAtuhJLh2JcoLiXBsgZEFc7LJksm0s8caIx+uDbweA3MimRRrf9wqRzZ6KwujLq2XORYwLchpgel1KVKmrdw8BxaPyrYvgrfh2i5OtRUiQ==;
Received: from [2620:10d:c090:180::2ef5]
 (helo=[IPv6:2620:10d:c081:1110:8000::23a6])
 by dancol.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.84) (envelope-from <dancol@HIDDEN>)
 id 1ahnOc-0001Xo-25; Sun, 20 Mar 2016 17:08:34 -0700
Subject: Re: bug#19946: 24.4; js-mode, indentation
To: Dmitry Gutov <dgutov@HIDDEN>, jostein@HIDDEN,
 =?UTF-8?Q?Simen_Heggest=c3=b8yl?= <simenheg@HIDDEN>
References: <1424858977.3139392.232164745.05CFB51D@HIDDEN>
 <87r3f6unew.fsf@HIDDEN> <6420dbed-587e-87e1-e167-73359a65bf6b@HIDDEN>
 <1458500460.1739128.554550090.7C772DCA@HIDDEN>
 <008e3b7c-4867-ce5b-153c-83ea3a31030d@HIDDEN>
 <1458503264.1747260.554579266.3BC0CBEA@HIDDEN>
 <f3c19186-d327-37f9-dd8a-2281eafb94ae@HIDDEN>
From: Daniel Colascione <dancol@HIDDEN>
Message-ID: <56EF3B7A.6050807@HIDDEN>
Date: Sun, 20 Mar 2016 17:08:26 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:38.0) Gecko/20100101
 Thunderbird/38.6.0
MIME-Version: 1.0
In-Reply-To: <f3c19186-d327-37f9-dd8a-2281eafb94ae@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="HSJtVlaph4HWcigxAMRa6aSOskmU9S5q9"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 19946
Cc: Alan Mackenzie <acm@HIDDEN>, 19946 <at> debbugs.gnu.org,
 dan.colascione@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--HSJtVlaph4HWcigxAMRa6aSOskmU9S5q9
Content-Type: multipart/mixed; boundary="4r1RecNltXrl2QTFPSTakhAVEKUd8cgIw"
From: Daniel Colascione <dancol@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>, jostein@HIDDEN,
 =?UTF-8?Q?Simen_Heggest=c3=b8yl?= <simenheg@HIDDEN>
Cc: 19946 <at> debbugs.gnu.org, dan.colascione@HIDDEN,
 Alan Mackenzie <acm@HIDDEN>
Message-ID: <56EF3B7A.6050807@HIDDEN>
Subject: Re: bug#19946: 24.4; js-mode, indentation
References: <1424858977.3139392.232164745.05CFB51D@HIDDEN>
 <87r3f6unew.fsf@HIDDEN> <6420dbed-587e-87e1-e167-73359a65bf6b@HIDDEN>
 <1458500460.1739128.554550090.7C772DCA@HIDDEN>
 <008e3b7c-4867-ce5b-153c-83ea3a31030d@HIDDEN>
 <1458503264.1747260.554579266.3BC0CBEA@HIDDEN>
 <f3c19186-d327-37f9-dd8a-2281eafb94ae@HIDDEN>
In-Reply-To: <f3c19186-d327-37f9-dd8a-2281eafb94ae@HIDDEN>

--4r1RecNltXrl2QTFPSTakhAVEKUd8cgIw
Content-Type: text/plain; charset=windows-1252
Content-Transfer-Encoding: quoted-printable

On 03/20/2016 12:49 PM, Dmitry Gutov wrote:
> On 03/20/2016 09:47 PM, Jostein Kj=F8nigsen wrote:
>=20
>>> diff --git a/lisp/progmodes/js.el b/lisp/progmodes/js.el
>>> index 15a52ba..dffdb77 100644
>>> --- a/lisp/progmodes/js.el
>>> +++ b/lisp/progmodes/js.el
>>> @@ -578,6 +578,7 @@ js-mode-syntax-table
>>>       (c-populate-syntax-table table)
>>>       (modify-syntax-entry ?$ "_" table)
>>>       (modify-syntax-entry ?` "\"" table)
>>> +    (modify-syntax-entry ?\C-M " " table)
>>>       table)
>>>     "Syntax table for `js-mode'.")
>>>
>>
>> That works for me, at least in js-mode.
>>
>> While not a general solution to all weird files one might encounter
>> while working in Emacs, it at least makes js-files behave as expected.=

>> And in a fairly reusable manner too: I can copy this code and I'm home=

>> free.
>>
>> Would pushing this up to cc-mode's c-populate-syntax-table function al=
so
>> be considered an option? Or does that just sound on overall way too
>> risky?
>=20
> I don't see any problem there, but that's up to Alan.

It don't have any problem teaching specific modes about carriage
returns, but this approach doesn't scale. A better approach, I think,
would be to extend something like ws-butler for dealing with
mixed-line-ending files. On load, we'd transform `\r\n' -> `\n', but
*remember* which `\n's represent `\r\n` and perform the reverse
translation when writing. This way, you'd preserve clowny extra carriage
returns from other people, but see a clean, unified view in Emacs.


--4r1RecNltXrl2QTFPSTakhAVEKUd8cgIw--

--HSJtVlaph4HWcigxAMRa6aSOskmU9S5q9
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQIcBAEBCAAGBQJW7zt6AAoJEN4WImmbpWBlzF4P/iNLFQQNiRE61Wr2/eAkxPkQ
GEjFjRPzpxb+1obsq9xAlzawAHpq/CqJ0Az45mMKZQQmAlOIAxZFtXtJSAy5hOKu
5rVkIKch7QfOrZ6/FHa/svHHrO/bV8TO1ss3EizRzyrEgPay0l8OyLdwe0vWsi3s
7b2uGgr5Ez1+n9zuYwFibxPH0kvId8tayKV/OjdVUmL/HcKoXDtyUbt8znWyAuQF
a0VBwLkgn+fW1dqnMXWk1OOiG0hOjQah7Kw2gfCodVGEoUeWaU6bBbNY9CgzmEuR
u6u8JKmHosmyGTv54WmHk/S7p289O8lITrsNrxuPBMDJEtXebWYKac7uyBJDXrxr
wlBQIori/tl1Tsl5pP1wJCVa/KUpitnBMxVrylZOj+tew3p1x/D21S6vVkSiOYyv
n8K/yZ8vMeomrg5ol/kpK3u9j91b1PivjZy4jAXEnUgBxWVBQjTHz3GUtahpQLSF
ulKL3Nfr3GHwmY5HudCbOIZ6Rn+pVHo+c09SUyOCzYMG+4sqfpOMmgpr1oRBCszb
PIlbfN6pkXE5tLRTyhHNw67h0e3C6dp4Ie16+tNPnRNnYod6rglgzsTRmotaPUdd
uFpeX7Q2XoBfK8XHX8ybGm3D/USndpRFh8HdHGBwIVLsv8EGGt8tlBNoyBfm1CF1
lNo6hs7s8CDmHiS1DP8w
=JmjZ
-----END PGP SIGNATURE-----

--HSJtVlaph4HWcigxAMRa6aSOskmU9S5q9--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19946; Package emacs. Full text available.

Message received at 19946 <at> debbugs.gnu.org:


Received: (at 19946) by debbugs.gnu.org; 20 Mar 2016 19:49:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 20 15:49:23 2016
Received: from localhost ([127.0.0.1]:55863 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ahjLn-0004PF-0S
	for submit <at> debbugs.gnu.org; Sun, 20 Mar 2016 15:49:23 -0400
Received: from mail-wm0-f48.google.com ([74.125.82.48]:37914)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1ahjLl-0004P2-PQ
 for 19946 <at> debbugs.gnu.org; Sun, 20 Mar 2016 15:49:22 -0400
Received: by mail-wm0-f48.google.com with SMTP id l68so99309306wml.1
 for <19946 <at> debbugs.gnu.org>; Sun, 20 Mar 2016 12:49:21 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=sender:subject:to:references:cc:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-transfer-encoding;
 bh=266U2JAe78L9heORe9qOukaTToGbhZWXgYqfogokLaM=;
 b=HKjfqdPtKF4v9j+QWmkdpBP5wdAhzEsS/IEru8eh9acTJqEvBd4RG6iFH87jBw6PKa
 jnvzQZ5kjVBNJ5YgRCzchaIl/MTB8zk7kFKtVAzLuW2bfiafRLOKGSbMrJSQNcnEg0iV
 uHmsG5s+w4onvWtAqXGLq7uVO5GWE0Zj7L3UIBzBvip4rn6/kZTQdwoxhG2P3Ee3Sna3
 96OsYGB4PGVcAwtKeTVvI3FOigtddRFw2ZY6qKLmEid0JcoQ87djGysG+dXrq4t2diP/
 Y2Uz293aAqRhJomF7qQOBimgfyt7u68uvFCyY2b+TPjPP6OCfnh5QxQdD+yPhsI+ZOJ1
 3nGg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:sender:subject:to:references:cc:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-transfer-encoding;
 bh=266U2JAe78L9heORe9qOukaTToGbhZWXgYqfogokLaM=;
 b=bZjLSh40a6kde0k1sCpsW4BLEB3nWTzN/dwyYHGv4xYSnZGF0laP0elgp+Tk/KrRQE
 6VyUU7yg0jO2QH/1Gg/09Nueh/kh3PmwcC/wKEsAbbcQGfOR1NL/39xblHBrhjRH3cEM
 Ejj1GMgytOaBk8QOdmH3qcWpyQywHco1mPgzM4+v9TJkMlZRUGKrb3wCHZNFeCN3Idba
 SqIu3ou+5UliwzSIWE7jZAkxLl26tP0HzJjxmEC9/yCflqWLaNRzE5vfysTKrNLo0wbu
 C4QMLvAV/0bj0hLBYCnTxY5IJeRbAOPGrWrZqWSgldvWPt+SIRbZ/GcBCZIJqiD5GHA2
 fPKg==
X-Gm-Message-State: AD7BkJLq4jdoB5xmotUzOmmNUa6DMTfrjS/4Z5+UGSCnlk9F7Y2YIV3FAfCkndAc70Zu5g==
X-Received: by 10.28.150.19 with SMTP id y19mr10331548wmd.56.1458503356216;
 Sun, 20 Mar 2016 12:49:16 -0700 (PDT)
Received: from [192.168.1.2] ([185.105.175.24])
 by smtp.googlemail.com with ESMTPSA id pd1sm21992739wjb.19.2016.03.20.12.49.14
 (version=TLSv1/SSLv3 cipher=OTHER);
 Sun, 20 Mar 2016 12:49:15 -0700 (PDT)
Subject: Re: bug#19946: 24.4; js-mode, indentation
To: jostein@HIDDEN, =?UTF-8?Q?Simen_Heggest=c3=b8yl?=
 <simenheg@HIDDEN>
References: <1424858977.3139392.232164745.05CFB51D@HIDDEN>
 <87r3f6unew.fsf@HIDDEN> <6420dbed-587e-87e1-e167-73359a65bf6b@HIDDEN>
 <1458500460.1739128.554550090.7C772DCA@HIDDEN>
 <008e3b7c-4867-ce5b-153c-83ea3a31030d@HIDDEN>
 <1458503264.1747260.554579266.3BC0CBEA@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <f3c19186-d327-37f9-dd8a-2281eafb94ae@HIDDEN>
Date: Sun, 20 Mar 2016 21:49:12 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.0
MIME-Version: 1.0
In-Reply-To: <1458503264.1747260.554579266.3BC0CBEA@HIDDEN>
Content-Type: text/plain; charset=windows-1252; format=flowed
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 19946
Cc: Alan Mackenzie <acm@HIDDEN>, 19946 <at> debbugs.gnu.org,
 dan.colascione@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 03/20/2016 09:47 PM, Jostein Kjnigsen wrote:

>> diff --git a/lisp/progmodes/js.el b/lisp/progmodes/js.el
>> index 15a52ba..dffdb77 100644
>> --- a/lisp/progmodes/js.el
>> +++ b/lisp/progmodes/js.el
>> @@ -578,6 +578,7 @@ js-mode-syntax-table
>>       (c-populate-syntax-table table)
>>       (modify-syntax-entry ?$ "_" table)
>>       (modify-syntax-entry ?` "\"" table)
>> +    (modify-syntax-entry ?\C-M " " table)
>>       table)
>>     "Syntax table for `js-mode'.")
>>
>
> That works for me, at least in js-mode.
>
> While not a general solution to all weird files one might encounter
> while working in Emacs, it at least makes js-files behave as expected.
> And in a fairly reusable manner too: I can copy this code and I'm home
> free.
>
> Would pushing this up to cc-mode's c-populate-syntax-table function also
> be considered an option? Or does that just sound on overall way too
> risky?

I don't see any problem there, but that's up to Alan.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19946; Package emacs. Full text available.

Message received at 19946 <at> debbugs.gnu.org:


Received: (at 19946) by debbugs.gnu.org; 20 Mar 2016 19:47:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 20 15:47:46 2016
Received: from localhost ([127.0.0.1]:55855 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ahjKE-0004M8-ED
	for submit <at> debbugs.gnu.org; Sun, 20 Mar 2016 15:47:46 -0400
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:45755)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jostein@HIDDEN>) id 1ahjKD-0004M1-4o
 for 19946 <at> debbugs.gnu.org; Sun, 20 Mar 2016 15:47:45 -0400
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.nyi.internal (Postfix) with ESMTP id F3B6C21F56
 for <19946 <at> debbugs.gnu.org>; Sun, 20 Mar 2016 15:47:44 -0400 (EDT)
Received: from web5 ([10.202.2.215])
 by compute4.internal (MEProxy); Sun, 20 Mar 2016 15:47:44 -0400
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=
 secure.kjonigsen.net; h=cc:content-transfer-encoding
 :content-type:date:from:in-reply-to:message-id:mime-version
 :references:reply-to:subject:to:x-sasl-enc:x-sasl-enc; s=mesmtp;
 bh=I0zKGZIxFvIW8Hyt0IxCTqNHxdg=; b=h/uFYq5/lK+Aw9GgMhe4ny1kw1kf
 MsnWmRybXq0YBtiSpzBCwzcZNKko7vzYN8gyqwBGvieoG7X8V2gmWjTkYk2I592F
 d1F5/EcoQkD3xRfdbkyqusXgNbwRGAZ3pqB+P/+ZnXzvmJ3d9mAk/AGOZyVmDgmJ
 dtWCuGJh4S0Bf9E=
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:content-type
 :date:from:in-reply-to:message-id:mime-version:references
 :reply-to:subject:to:x-sasl-enc:x-sasl-enc; s=smtpout; bh=I0zKGZ
 IxFvIW8Hyt0IxCTqNHxdg=; b=ZHYnIbqNRzgTsHNKrYSKRb+Hb6XaqPj6yTA3qV
 WdU4600f2UzSCz//mfI0EwaDRWxxnkxc7hcQE9GrJqz6pnjbmi1bY+dKBGhYF8Zk
 BQX91v36LI+bHK/t4V3luaomx/kUbwclO4LpOsSo4wqPR6ryGn62ZMH4JTY1BaUj
 MdBsQ=
Received: by web5.nyi.internal (Postfix, from userid 99)
 id BA082A6CD54; Sun, 20 Mar 2016 15:47:44 -0400 (EDT)
Message-Id: <1458503264.1747260.554579266.3BC0CBEA@HIDDEN>
X-Sasl-Enc: yV16zW0i+CBW5FjIy95GzVTg9kDAM3XO3Xr7iXa2SgzS 1458503264
From: =?ISO-8859-1?Q?Jostein=20Kj=F8nigsen?= <jostein@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>, jostein@HIDDEN,
 =?ISO-8859-1?Q?Simen=20Heggest=F8yl?= <simenheg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset="ISO-8859-1"
X-Mailer: MessagingEngine.com Webmail Interface - ajax-872772a7
Subject: Re: bug#19946: 24.4; js-mode, indentation
Date: Sun, 20 Mar 2016 20:47:44 +0100
In-Reply-To: <008e3b7c-4867-ce5b-153c-83ea3a31030d@HIDDEN>
References: <1424858977.3139392.232164745.05CFB51D@HIDDEN>
 <87r3f6unew.fsf@HIDDEN>
 <6420dbed-587e-87e1-e167-73359a65bf6b@HIDDEN>
 <1458500460.1739128.554550090.7C772DCA@HIDDEN>
 <008e3b7c-4867-ce5b-153c-83ea3a31030d@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 19946
Cc: 19946 <at> debbugs.gnu.org, dan.colascione@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: jostein@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Sun, Mar 20, 2016, at 08:18 PM, Dmitry Gutov wrote:
> On 03/20/2016 09:01 PM, Jostein Kj=F8nigsen wrote:
>=20
> It's not an argument, it's an observation: clearly we, as a project,=20
> haven't made a decision to properly support mixed-newline files.

Fair enough.

>> By following the cardinal rule of good software, that is produce the
>> least amont of astonishment, cc-mode does what's right: it produces the
>> expected outcome, no matter what kind of file it's working with.
>=20
> Hmm, does this help?
>=20
> diff --git a/lisp/progmodes/js.el b/lisp/progmodes/js.el
> index 15a52ba..dffdb77 100644
> --- a/lisp/progmodes/js.el
> +++ b/lisp/progmodes/js.el
> @@ -578,6 +578,7 @@ js-mode-syntax-table
>       (c-populate-syntax-table table)
>       (modify-syntax-entry ?$ "_" table)
>       (modify-syntax-entry ?` "\"" table)
> +    (modify-syntax-entry ?\C-M " " table)
>       table)
>     "Syntax table for `js-mode'.")
>=20

That works for me, at least in js-mode.

While not a general solution to all weird files one might encounter
while working in Emacs, it at least makes js-files behave as expected.
And in a fairly reusable manner too: I can copy this code and I'm home
free.

Would pushing this up to cc-mode's c-populate-syntax-table function also
be considered an option? Or does that just sound on overall way too
risky?

--=20
Jostein Kj=F8nigsen
jostein@HIDDEN / jostein@HIDDEN




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19946; Package emacs. Full text available.

Message received at 19946 <at> debbugs.gnu.org:


Received: (at 19946) by debbugs.gnu.org; 20 Mar 2016 19:18:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 20 15:18:36 2016
Received: from localhost ([127.0.0.1]:55828 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ahis0-0003eO-LJ
	for submit <at> debbugs.gnu.org; Sun, 20 Mar 2016 15:18:36 -0400
Received: from mail-wm0-f47.google.com ([74.125.82.47]:32803)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1ahirz-0003eB-87
 for 19946 <at> debbugs.gnu.org; Sun, 20 Mar 2016 15:18:35 -0400
Received: by mail-wm0-f47.google.com with SMTP id l68so128843127wml.0
 for <19946 <at> debbugs.gnu.org>; Sun, 20 Mar 2016 12:18:35 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=sender:subject:to:references:cc:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-transfer-encoding;
 bh=aV0gwEuF1iSO5ymgEMSrox03lRduLGRj7T9d7YC7Ux8=;
 b=LqfL8LHXGNZsuqYmaGTuAEfQSBNEeWLxYbj4jpdHaGP1mk0SUFciSqLNMHO6fnI4Dp
 h3iLa05FdFFNc0+zC3g2mUnsqegCN9I/wzDi9EkmvRQU+tZNOjmMJHDy/D+jyXkhkvt6
 qZN9Lmxk5Nnr0szKTKdoy6HPYdagTaCVO7hhYIl/3WrZooFaoL5DOd2ye9koEf15qO/h
 SzYHxchBxMY5jlHFJvqUTtmzcBT3NbFyKAao1X5ezgtiJ0dXqLP74GE8Zrj5UyRYIKk1
 OEtFDolkussnBRTDEVpBEu7BXkSPstiwzFpzV0VibYVetMUrlVM5U29DKa3f/adjbVee
 Tq0w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:sender:subject:to:references:cc:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-transfer-encoding;
 bh=aV0gwEuF1iSO5ymgEMSrox03lRduLGRj7T9d7YC7Ux8=;
 b=XP8P6PXYMlnpCe2oAPFU7zcUwE7sHJ+9yy3FmLGccUCuaLKM3X35eUqHagwmjepemq
 9r7JjaI1ILw9yHo8aEXtM2e+XN5RD7Fiz0w00wQ0z/nZOPoJDk5dF6mC6IhDyhDuvoTj
 9d1SIEmH/ORz/e47cHmX+eBBxRLT4+/pUrppSFf/+PTsfCU+GOJR1/GEiRTqIT2wMzuF
 rT+fRpnlB8Rs2PxAC640OIIFcKetzAfiLI1nKiXkClRM3FMtBvw72zChxYyeXVaU+ni7
 63nrbW0zJZX02ECaagS43R/Cx187r4nyUafiEZrX+T2Aw5139j3UXw9l3bB/qMGeViuS
 c6BQ==
X-Gm-Message-State: AD7BkJJqzuj72tNudRKoXx1Fe+W2LxtIkMXfYxphkrVnQ6nmqFeP2WQdBSyzYc+xT+KAMA==
X-Received: by 10.28.218.145 with SMTP id r139mr10603643wmg.52.1458501509767; 
 Sun, 20 Mar 2016 12:18:29 -0700 (PDT)
Received: from [192.168.1.2] ([185.105.175.24])
 by smtp.googlemail.com with ESMTPSA id p191sm9289095wmb.0.2016.03.20.12.18.27
 (version=TLSv1/SSLv3 cipher=OTHER);
 Sun, 20 Mar 2016 12:18:28 -0700 (PDT)
Subject: Re: bug#19946: 24.4; js-mode, indentation
To: jostein@HIDDEN, =?UTF-8?Q?Simen_Heggest=c3=b8yl?=
 <simenheg@HIDDEN>
References: <1424858977.3139392.232164745.05CFB51D@HIDDEN>
 <87r3f6unew.fsf@HIDDEN> <6420dbed-587e-87e1-e167-73359a65bf6b@HIDDEN>
 <1458500460.1739128.554550090.7C772DCA@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <008e3b7c-4867-ce5b-153c-83ea3a31030d@HIDDEN>
Date: Sun, 20 Mar 2016 21:18:26 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.0
MIME-Version: 1.0
In-Reply-To: <1458500460.1739128.554550090.7C772DCA@HIDDEN>
Content-Type: text/plain; charset=windows-1252; format=flowed
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 19946
Cc: 19946 <at> debbugs.gnu.org, dan.colascione@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 03/20/2016 09:01 PM, Jostein Kjnigsen wrote:

>> Some modes try to match [\r\n] (like CC Mode), but in general they seem
>> to be a minority, and even CC Mode doesn't do that consistently.
>
> I really don't see how that argument makes sense.

It's not an argument, it's an observation: clearly we, as a project, 
haven't made a decision to properly support mixed-newline files.

> By following the cardinal rule of good software, that is produce the
> least amont of astonishment, cc-mode does what's right: it produces the
> expected outcome, no matter what kind of file it's working with.

Does it? CC Mode still uses $ in a lot of places.

>> I wonder why ?\r doesn't have whitespace syntax in the first place.
>
> Make ?\r be interpreted as white-space, because once you put Emacs
> outside a GNU/Linux system honestly nothing else makes sense. Is there
> any specific reason for its current behaviour?

Hmm, does this help?

diff --git a/lisp/progmodes/js.el b/lisp/progmodes/js.el
index 15a52ba..dffdb77 100644
--- a/lisp/progmodes/js.el
+++ b/lisp/progmodes/js.el
@@ -578,6 +578,7 @@ js-mode-syntax-table
      (c-populate-syntax-table table)
      (modify-syntax-entry ?$ "_" table)
      (modify-syntax-entry ?` "\"" table)
+    (modify-syntax-entry ?\C-M " " table)
      table)
    "Syntax table for `js-mode'.")






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19946; Package emacs. Full text available.

Message received at 19946 <at> debbugs.gnu.org:


Received: (at 19946) by debbugs.gnu.org; 20 Mar 2016 19:15:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 20 15:15:15 2016
Received: from localhost ([127.0.0.1]:55824 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ahiol-0003ZY-6K
	for submit <at> debbugs.gnu.org; Sun, 20 Mar 2016 15:15:15 -0400
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:45410)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jostein@HIDDEN>) id 1ahioi-0003ZP-Os
 for 19946 <at> debbugs.gnu.org; Sun, 20 Mar 2016 15:15:13 -0400
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.nyi.internal (Postfix) with ESMTP id ACBB820987
 for <19946 <at> debbugs.gnu.org>; Sun, 20 Mar 2016 15:15:12 -0400 (EDT)
Received: from web5 ([10.202.2.215])
 by compute4.internal (MEProxy); Sun, 20 Mar 2016 15:15:12 -0400
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=
 secure.kjonigsen.net; h=cc:content-transfer-encoding
 :content-type:date:from:in-reply-to:message-id:mime-version
 :references:reply-to:subject:to:x-sasl-enc:x-sasl-enc; s=mesmtp;
 bh=QAVS2OAxiZXDE03l/vP28sY374Q=; b=vhh5aA85x2pQZSmen7QceYQfjmeG
 H2PyC80CGQD3Y+NkZIoF/ySFliufTtcL2toKNC6f9dmSWWPSpja0OUiv8uhvZYDo
 yfU4QLyNp3c3tqcazlkglu0gQ4YcEIOTAQXLKXD4Fb1mD5EBvU8TozlZoyM6fSDu
 5C2++/oYSTqxJQM=
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:content-type
 :date:from:in-reply-to:message-id:mime-version:references
 :reply-to:subject:to:x-sasl-enc:x-sasl-enc; s=smtpout; bh=QAVS2O
 AxiZXDE03l/vP28sY374Q=; b=qUvdn0IGAjiNa4HSs8En5WXP59/ilvk76/lFRQ
 kHixIXQZQ+mLRJiBHe3EgS2NRZYIWH3EIUSr08qSoOPeU7+Y4RiCfsUfmDG5zZmz
 puPKG1VJlGr8Ku9rB1OVOm8QNL9AmQoxaDH78wkLnjCIfvCXxUMjnu6wS6ucOzSE
 lYRYQ=
Received: by web5.nyi.internal (Postfix, from userid 99)
 id 6A37AA6A29E; Sun, 20 Mar 2016 15:15:12 -0400 (EDT)
Message-Id: <1458501312.1741368.554560954.76F75ED3@HIDDEN>
X-Sasl-Enc: f8XAzpPuUkE5uaRn0qsfnHOIInk4BMNzEWe/5HkJ0m+t 1458501312
From: =?ISO-8859-1?Q?Jostein=20Kj=F8nigsen?= <jostein@HIDDEN>
To: Daniel Colascione <dancol@HIDDEN>, jostein@HIDDEN,
 Dmitry Gutov <dgutov@HIDDEN>,
 =?ISO-8859-1?Q?Simen=20Heggest=F8yl?= <simenheg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset="ISO-8859-1"
X-Mailer: MessagingEngine.com Webmail Interface - ajax-872772a7
Subject: Re: bug#19946: 24.4; js-mode, indentation
Date: Sun, 20 Mar 2016 20:15:12 +0100
In-Reply-To: <56EEF3D8.1020106@HIDDEN>
References: <1424858977.3139392.232164745.05CFB51D@HIDDEN>
 <87r3f6unew.fsf@HIDDEN>
 <6420dbed-587e-87e1-e167-73359a65bf6b@HIDDEN>
 <1458500460.1739128.554550090.7C772DCA@HIDDEN>
 <56EEF3D8.1020106@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 19946
Cc: 19946 <at> debbugs.gnu.org, dan.colascione@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: jostein@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Sun, Mar 20, 2016, at 08:02 PM, Daniel Colascione wrote:
> Line ending divergence is best addressed at the file encoding level, not
> the individual mode level. I don't think it's worth while replacing uses
> of $ with \r?\n just to address cases in which line ending translation
> is broken.

I appreciate being principled about correctness and fixing the real
problems where they are. I really do. But I'm also trying to be
pragmatic when the real world calls.

While your argument definitely sounds reasonable at first, it's worth
noting that this problem often occurs in distributed projects where some
files end up with mixed line-break formats (due to bad source-control
settings or whatever).

In those cases line-ending translation cannot be done "correctly"
because the file does not adher to one standard only, and unless the
user is aware of this, he will simply blame Emacs as "broken" when
indentation suddenly goes crazy in his file.

If we should at least attempt to adhere to the principle of least
astonishment, we need to either accept \r\n patches everywhere or change
the semantics of $ to also include \r, line-break format be damned.

Or do someone have another option which involves less drastic means? In
that case I'm all ears.

--=20
Jostein Kj=F8nigsen
jostein@HIDDEN / jostein@HIDDEN




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19946; Package emacs. Full text available.

Message received at 19946 <at> debbugs.gnu.org:


Received: (at 19946) by debbugs.gnu.org; 20 Mar 2016 19:03:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 20 15:03:00 2016
Received: from localhost ([127.0.0.1]:55818 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ahicu-0003IO-0w
	for submit <at> debbugs.gnu.org; Sun, 20 Mar 2016 15:03:00 -0400
Received: from dancol.org ([96.126.100.184]:37182)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dancol@HIDDEN>) id 1ahicr-0003IE-Vp
 for 19946 <at> debbugs.gnu.org; Sun, 20 Mar 2016 15:02:58 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=dancol.org;
 s=x; 
 h=Content-Type:In-Reply-To:MIME-Version:Date:Message-ID:From:Cc:References:To:Subject;
 bh=DhtfN3AIg3vf/l/CFuJDwG5fsQcsDS/LbYJ0NwP1Sks=; 
 b=PldsUtmhBQPzN3PT/Suz9wjnz7yktOhHtYQZ4ocRJ/jtB97A8K7sa5aIP78B9wZFzW+806DvkEjt8J9rJ48llto+FUFVkLyRkLH4aioDpgsTV6tAcXZjHtDMcq1Rvkt/64iWr+b8ebPqWN4sFEjgv0/P8l3ySLYx5Ls2CTYqCWOnrwRKZhqvDmh5fhqknW3D2OEO+t4ipuoXikM/rhzIPyskZoRkcM4Igr5VipakdpSI0JS+XzoBamKqvYVKmmsfVi7A/or9bbUlddgm5m5f419aOjb8TUggFdWvoR1aQuxVYDquXQrMjaBQrHTm4kKaCgtRDFohzKwPcG9Cl7rzxQ==;
Received: from [2620:10d:c090:180::bc64]
 (helo=[IPv6:2620:10d:c081:1103:2ab2:bdff:fe1c:db58])
 by dancol.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.84) (envelope-from <dancol@HIDDEN>)
 id 1ahicp-0007h5-I4; Sun, 20 Mar 2016 12:02:55 -0700
Subject: Re: bug#19946: 24.4; js-mode, indentation
To: jostein@HIDDEN, Dmitry Gutov <dgutov@HIDDEN>,
 =?UTF-8?Q?Simen_Heggest=c3=b8yl?= <simenheg@HIDDEN>
References: <1424858977.3139392.232164745.05CFB51D@HIDDEN>
 <87r3f6unew.fsf@HIDDEN> <6420dbed-587e-87e1-e167-73359a65bf6b@HIDDEN>
 <1458500460.1739128.554550090.7C772DCA@HIDDEN>
From: Daniel Colascione <dancol@HIDDEN>
Message-ID: <56EEF3D8.1020106@HIDDEN>
Date: Sun, 20 Mar 2016 12:02:48 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:38.0) Gecko/20100101
 Thunderbird/38.6.0
MIME-Version: 1.0
In-Reply-To: <1458500460.1739128.554550090.7C772DCA@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="O080vKHMFDBewVqT4cvvcd1PbRmBjLulX"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 19946
Cc: 19946 <at> debbugs.gnu.org, dan.colascione@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--O080vKHMFDBewVqT4cvvcd1PbRmBjLulX
Content-Type: multipart/mixed; boundary="U2rq1M3eCPhfkHCdq59MXVtJNfULbIucp"
From: Daniel Colascione <dancol@HIDDEN>
To: jostein@HIDDEN, Dmitry Gutov <dgutov@HIDDEN>,
 =?UTF-8?Q?Simen_Heggest=c3=b8yl?= <simenheg@HIDDEN>
Cc: 19946 <at> debbugs.gnu.org, dan.colascione@HIDDEN
Message-ID: <56EEF3D8.1020106@HIDDEN>
Subject: Re: bug#19946: 24.4; js-mode, indentation
References: <1424858977.3139392.232164745.05CFB51D@HIDDEN>
 <87r3f6unew.fsf@HIDDEN> <6420dbed-587e-87e1-e167-73359a65bf6b@HIDDEN>
 <1458500460.1739128.554550090.7C772DCA@HIDDEN>
In-Reply-To: <1458500460.1739128.554550090.7C772DCA@HIDDEN>

--U2rq1M3eCPhfkHCdq59MXVtJNfULbIucp
Content-Type: text/plain; charset=windows-1252
Content-Transfer-Encoding: quoted-printable

On 03/20/2016 12:01 PM, Jostein Kj=F8nigsen wrote:
> On Sun, Mar 20, 2016, at 02:27 AM, Dmitry Gutov wrote:
>> On 03/20/2016 12:13 AM, Simen Heggest=F8yl wrote:
>> I do not mind, but I'm not sure if we actually want to support this=20
>> usage. There are a lot regexps in lisp/progmodes that use $. There are=
=20
>> several in js-mode, aside from this one.
>>
>> Some modes try to match [\r\n] (like CC Mode), but in general they see=
m=20
>> to be a minority, and even CC Mode doesn't do that consistently.
>=20
> I really don't see how that argument makes sense.
>=20
> By following the cardinal rule of good software, that is produce the
> least amont of astonishment, cc-mode does what's right: it produces the=

> expected outcome, no matter what kind of file it's working with.
>=20
> The result: A happy user.
>=20
> In my point of view, this should be the aim for all *-modes found in
> Emacs, no matter what its current state of affair or conventions is.
>=20
> The solution to this is either a bunch of hacky patches replacing $ wit=
h
> \r\n (as above) or actually addressing what's probably the root cause
> (as observed by Andreas)
>=20
>> I wonder why ?\r doesn't have whitespace syntax in the first place.
>=20
> Make ?\r be interpreted as white-space, because once you put Emacs
> outside a GNU/Linux system honestly nothing else makes sense. Is there
> any specific reason for its current behaviour?
>=20
> Or put the other way: Are there known pieces of code which depends on \=
r
> semantically not being white-space to function correctly?
>=20
> As someone authoring two major modes, every time $ does not work as
> expected and I need to write hacks, it breaks my heart. As of now, I
> can't really use $ if I want my modes to work and that's just silly (bu=
t
> at least now I know why).

Line ending divergence is best addressed at the file encoding level, not
the individual mode level. I don't think it's worth while replacing uses
of $ with \r?\n just to address cases in which line ending translation
is broken.



--U2rq1M3eCPhfkHCdq59MXVtJNfULbIucp--

--O080vKHMFDBewVqT4cvvcd1PbRmBjLulX
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQIcBAEBCAAGBQJW7vPZAAoJEN4WImmbpWBly9YP/3iIfOrlmszOTehjOSneN+9x
nBa9GZ5DsrwmzRVHT9/ew7Bfdbr+Y5mib9K3hc51VLTPb36Q/NNoqTnNw0E8LQbS
c2e59jBQJdAxamd6elVvmHXYrN1zQimgHfFJKG7S5GH6u4nV5mL0kY5af6nP4wTo
fp4MzNekJ2XmNIbRopjAFgfDeGpMpKR1s+szmwJxEcOtrrQeSohb3A740uZ4gtTc
CvRHK/ym0jMXoHa9sHg1W68vetIU/qjNQS5lEHZXlq5F/uc2rDXIIfitMma39+/f
thdIgCM7HzNH32Vn2BSPKX5qZg2wnABWULRb2VsCbRvU1A6aR/KoEUl3fRrog2OW
FcWT2ewKpEQVVeeWp8v2qklwS+Yycx60coXKNOQy7PzcdvRiHL1n+DVPSsEr2mr9
uFu3ty+CJowgEEHZdO1uH+DZT0yL1H9SaVuMCJYNnnIGsf+UrGbenyNx9aC/Bcwa
eoy1+2fTYuQ0uH4G20KBXYwAxmJDlaQ3CQeY1lZNY3Eo0DOHUVFRTCDfA6iRp6E/
zZay2a0sDJg5l9WiFt21VEceSfrQSUZrZwKN+LgFlTmXvXwebCQjruZls6dPLMGr
yEkl0bzmqsPA9d1NtGbmOsrLBKaGe/hA8cDhRzO+HCG9CMXiXAYy+d3F/rlsZn4y
2uNsj5pK+Tk95wKoPqhM
=AQ6C
-----END PGP SIGNATURE-----

--O080vKHMFDBewVqT4cvvcd1PbRmBjLulX--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19946; Package emacs. Full text available.

Message received at 19946 <at> debbugs.gnu.org:


Received: (at 19946) by debbugs.gnu.org; 20 Mar 2016 19:01:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 20 15:01:02 2016
Received: from localhost ([127.0.0.1]:55814 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ahib0-0003Fj-G1
	for submit <at> debbugs.gnu.org; Sun, 20 Mar 2016 15:01:02 -0400
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:33799)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jostein@HIDDEN>) id 1ahiaz-0003FE-Eo
 for 19946 <at> debbugs.gnu.org; Sun, 20 Mar 2016 15:01:01 -0400
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.nyi.internal (Postfix) with ESMTP id 26B7D220F1
 for <19946 <at> debbugs.gnu.org>; Sun, 20 Mar 2016 15:01:01 -0400 (EDT)
Received: from web5 ([10.202.2.215])
 by compute5.internal (MEProxy); Sun, 20 Mar 2016 15:01:01 -0400
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=
 secure.kjonigsen.net; h=cc:content-transfer-encoding
 :content-type:date:from:in-reply-to:message-id:mime-version
 :references:reply-to:subject:to:x-sasl-enc:x-sasl-enc; s=mesmtp;
 bh=VvKp+fEdmrE+TP0nYa3YTF27ijg=; b=Ax48uSpPMICog/qpR+b+8setf+3e
 rTcGGxfxwAb5tSTWhor3nLLCR6cmnRe3jrX2GtX7Tofll9ul/THvi/dWriJ74ZsE
 dxyfTu4hHlP6P+kIIeiw3/Ldecv8JG5Vv4Bz26zbx4dudj6rtHQayEz3eefuVnCL
 U6ql4UuUGW3JMv4=
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:content-type
 :date:from:in-reply-to:message-id:mime-version:references
 :reply-to:subject:to:x-sasl-enc:x-sasl-enc; s=smtpout; bh=VvKp+f
 EdmrE+TP0nYa3YTF27ijg=; b=gTq3ExXaog8kt0xjiZHSfktOzuTn32BMhGV+ac
 mY/kMyhzPUGxzbGa5ssMNpQLXSXy8yDqAbNZnfAYrHwHMPKHIolOliZZ+vsratKh
 ypIIT8nLbE0JAInaHayAkxDwxEzD21beTvH09fTPgTTbPy4YCqEgUvegoSKbxUCt
 1n+Rk=
Received: by web5.nyi.internal (Postfix, from userid 99)
 id DF979A6951E; Sun, 20 Mar 2016 15:01:00 -0400 (EDT)
Message-Id: <1458500460.1739128.554550090.7C772DCA@HIDDEN>
X-Sasl-Enc: FTS6M6np7eimdfn9Ew3ZA2oHesqQcaJPxskaDRLRaLNf 1458500460
From: =?ISO-8859-1?Q?Jostein=20Kj=F8nigsen?= <jostein@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>,
 =?ISO-8859-1?Q?Simen=20Heggest=F8yl?= <simenheg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset="ISO-8859-1"
X-Mailer: MessagingEngine.com Webmail Interface - ajax-872772a7
Subject: Re: bug#19946: 24.4; js-mode, indentation
Date: Sun, 20 Mar 2016 20:01:00 +0100
In-Reply-To: <6420dbed-587e-87e1-e167-73359a65bf6b@HIDDEN>
References: <1424858977.3139392.232164745.05CFB51D@HIDDEN>
 <87r3f6unew.fsf@HIDDEN>
 <6420dbed-587e-87e1-e167-73359a65bf6b@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 19946
Cc: dan.colascione@HIDDEN, 19946 <at> debbugs.gnu.org, jostein@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: jostein@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Sun, Mar 20, 2016, at 02:27 AM, Dmitry Gutov wrote:
> On 03/20/2016 12:13 AM, Simen Heggest=F8yl wrote:
> I do not mind, but I'm not sure if we actually want to support this=20
> usage. There are a lot regexps in lisp/progmodes that use $. There are=20
> several in js-mode, aside from this one.
>=20
> Some modes try to match [\r\n] (like CC Mode), but in general they seem=20
> to be a minority, and even CC Mode doesn't do that consistently.

I really don't see how that argument makes sense.

By following the cardinal rule of good software, that is produce the
least amont of astonishment, cc-mode does what's right: it produces the
expected outcome, no matter what kind of file it's working with.

The result: A happy user.

In my point of view, this should be the aim for all *-modes found in
Emacs, no matter what its current state of affair or conventions is.

The solution to this is either a bunch of hacky patches replacing $ with
\r\n (as above) or actually addressing what's probably the root cause
(as observed by Andreas)

> I wonder why ?\r doesn't have whitespace syntax in the first place.

Make ?\r be interpreted as white-space, because once you put Emacs
outside a GNU/Linux system honestly nothing else makes sense. Is there
any specific reason for its current behaviour?

Or put the other way: Are there known pieces of code which depends on \r
semantically not being white-space to function correctly?

As someone authoring two major modes, every time $ does not work as
expected and I need to write hacks, it breaks my heart. As of now, I
can't really use $ if I want my modes to work and that's just silly (but
at least now I know why).

--
Jostein Kj=F8nigsen




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19946; Package emacs. Full text available.

Message received at 19946 <at> debbugs.gnu.org:


Received: (at 19946) by debbugs.gnu.org; 20 Mar 2016 08:25:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 20 04:25:13 2016
Received: from localhost ([127.0.0.1]:54133 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ahYfh-0003ar-OB
	for submit <at> debbugs.gnu.org; Sun, 20 Mar 2016 04:25:13 -0400
Received: from mail-out.m-online.net ([212.18.0.9]:38241)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <whitebox@HIDDEN>) id 1ahYff-0003ag-9U
 for 19946 <at> debbugs.gnu.org; Sun, 20 Mar 2016 04:25:11 -0400
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 3qSX861MFPz3hhtX;
 Sun, 20 Mar 2016 09:25:10 +0100 (CET)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.68])
 by mail.m-online.net (Postfix) with ESMTP id 3qSX8567k1zvhPG;
 Sun, 20 Mar 2016 09:25:09 +0100 (CET)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.68]) (amavisd-new,
 port 10024)
 with ESMTP id 84-xrI9HjQew; Sun, 20 Mar 2016 09:25:08 +0100 (CET)
X-Auth-Info: KvSk9cutIyWe7O0RCQijh3JAB56YgA69ytZsWV9KqsG8QeDVKKSdyEEbchnzWG0K
Received: from linux.local (ppp-88-217-10-131.dynamic.mnet-online.de
 [88.217.10.131]) by mail.mnet-online.de (Postfix) with ESMTPA;
 Sun, 20 Mar 2016 09:25:08 +0100 (CET)
Received: by linux.local (Postfix, from userid 501)
 id 794171E5465; Sun, 20 Mar 2016 09:25:05 +0100 (CET)
From: Andreas Schwab <schwab@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#19946: 24.4; js-mode, indentation
References: <1424858977.3139392.232164745.05CFB51D@HIDDEN>
 <87r3f6unew.fsf@HIDDEN>
 <6420dbed-587e-87e1-e167-73359a65bf6b@HIDDEN>
X-Yow: Two with FLUFFO, hold th' BEETS..side of SOYETTES!
Date: Sun, 20 Mar 2016 09:25:03 +0100
In-Reply-To: <6420dbed-587e-87e1-e167-73359a65bf6b@HIDDEN> (Dmitry Gutov's
 message of "Sun, 20 Mar 2016 03:27:21 +0200")
Message-ID: <m2zitt4kv4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.92 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 19946
Cc: jostein@HIDDEN, 19946 <at> debbugs.gnu.org,
 Jostein =?utf-8?Q?Kj=C3=B8nigsen?= <jostein@HIDDEN>,
 Simen =?utf-8?Q?Heggest=C3=B8yl?= <simenheg@HIDDEN>,
 dan.colascione@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Dmitry Gutov <dgutov@HIDDEN> writes:

> On 03/20/2016 12:13 AM, Simen Heggestøyl wrote:
>> Can confirm that this bug is still present on the current master branch
>> (070b9de). The following patch seems to fix it:
>
> I do not mind, but I'm not sure if we actually want to support this
> usage. There are a lot regexps in lisp/progmodes that use $. There are
> several in js-mode, aside from this one.

I wonder why ?\r doesn't have whitespace syntax in the first place.

Andreas.

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19946; Package emacs. Full text available.

Message received at 19946 <at> debbugs.gnu.org:


Received: (at 19946) by debbugs.gnu.org; 20 Mar 2016 01:27:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 19 21:27:31 2016
Received: from localhost ([127.0.0.1]:54036 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ahS9T-0001Wq-DI
	for submit <at> debbugs.gnu.org; Sat, 19 Mar 2016 21:27:31 -0400
Received: from mail-wm0-f51.google.com ([74.125.82.51]:32796)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1ahS9R-0001WZ-9o
 for 19946 <at> debbugs.gnu.org; Sat, 19 Mar 2016 21:27:29 -0400
Received: by mail-wm0-f51.google.com with SMTP id l68so112941508wml.0
 for <19946 <at> debbugs.gnu.org>; Sat, 19 Mar 2016 18:27:29 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=sender:subject:to:references:cc:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-transfer-encoding;
 bh=FTbC0ajs+BteyBcqN+CFB0BSkYWhvL210Bo8ctIOfoA=;
 b=L3g4HXfWeUtZX0ZZA9dQNYCcPocS4laloOKZIyy+dBne3W3LHgi6pLnLmgqSxZwfJW
 0sO0+rvAhGR08eUSUecd3Xi6airwW3HnlyqYpP7lq4Eak9P+pm/gXkGQZff0BJ+kn8wo
 CC3Wz0BMXNczSMl5FgfU7c3ZUPtlAHmag67NhYr7QA0w8WKqe+C0ORykb/kw+D0yVNwO
 tsyAGS/q4RFcDne5ub0MjBFrgvozsDV1OWDpEvCNiYmi24WBFu0fwVw7RVD2LzYJHD79
 1AiqS4KuWPMhsA0NkMAS3ULfSvDJOV1GUKXUDYmixB0OpgwCZeL7R9J4ok2dHZunDh+Z
 ENog==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:sender:subject:to:references:cc:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-transfer-encoding;
 bh=FTbC0ajs+BteyBcqN+CFB0BSkYWhvL210Bo8ctIOfoA=;
 b=Glnwr7QNB+kdie+KPOL36Im204K5uW6M+jZfBwgVWzo1kEO+2Exp2y9uYpsTCB+k+N
 gzB/oDK81FgKkbUF0xaZ4sxzzBJbvmn/A91aQcy+UxWLDVGZ+1u+D+xf8e+VMl9UrYoi
 ur07+HS1SfOIvKEvZJgca/e3cvmYNirOOh8zQI2p7yTQv4YevRnBJE1GGvYBg1tJvbbu
 wKhww4eKM4kdzwKMJaMe4gV0qYXaSGJCgfkfAswcNe17/6ZvzGBNKMYopownEneb2gm2
 6fw5jtUqpthkzhhCtEGcMzWZVsCCvlozOFgz9MUlmAqfDsH3ZImL+r9S+409GHUfCfzb
 ha/g==
X-Gm-Message-State: AD7BkJILtxCJGQOH54pJkrSR+NKfxu+3uQnA4ja0gy8/XvkwK98gJ6e8WzyDBBuMn142gg==
X-Received: by 10.28.153.138 with SMTP id b132mr6653713wme.36.1458437243767;
 Sat, 19 Mar 2016 18:27:23 -0700 (PDT)
Received: from [192.168.1.2] ([185.105.175.24])
 by smtp.googlemail.com with ESMTPSA id c144sm5781207wmd.12.2016.03.19.18.27.22
 (version=TLSv1/SSLv3 cipher=OTHER);
 Sat, 19 Mar 2016 18:27:23 -0700 (PDT)
Subject: Re: bug#19946: 24.4; js-mode, indentation
To: =?UTF-8?Q?Simen_Heggest=c3=b8yl?= <simenheg@HIDDEN>,
 =?UTF-8?Q?Jostein_Kj=c3=b8nigsen?= <jostein@HIDDEN>
References: <1424858977.3139392.232164745.05CFB51D@HIDDEN>
 <87r3f6unew.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <6420dbed-587e-87e1-e167-73359a65bf6b@HIDDEN>
Date: Sun, 20 Mar 2016 03:27:21 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.0
MIME-Version: 1.0
In-Reply-To: <87r3f6unew.fsf@HIDDEN>
Content-Type: text/plain; charset=windows-1252; format=flowed
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 19946
Cc: dan.colascione@HIDDEN, 19946 <at> debbugs.gnu.org, jostein@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 03/20/2016 12:13 AM, Simen Heggestyl wrote:
> Can confirm that this bug is still present on the current master branch
> (070b9de). The following patch seems to fix it:

I do not mind, but I'm not sure if we actually want to support this 
usage. There are a lot regexps in lisp/progmodes that use $. There are 
several in js-mode, aside from this one.

Some modes try to match [\r\n] (like CC Mode), but in general they seem 
to be a minority, and even CC Mode doesn't do that consistently.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19946; Package emacs. Full text available.

Message received at 19946 <at> debbugs.gnu.org:


Received: (at 19946) by debbugs.gnu.org; 19 Mar 2016 22:13:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 19 18:13:20 2016
Received: from localhost ([127.0.0.1]:53994 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ahP7Y-0003mh-Hm
	for submit <at> debbugs.gnu.org; Sat, 19 Mar 2016 18:13:20 -0400
Received: from mail-lb0-f175.google.com ([209.85.217.175]:36239)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <simenheg@HIDDEN>) id 1ahP7X-0003mV-2M
 for 19946 <at> debbugs.gnu.org; Sat, 19 Mar 2016 18:13:19 -0400
Received: by mail-lb0-f175.google.com with SMTP id qe11so53212328lbc.3
 for <19946 <at> debbugs.gnu.org>; Sat, 19 Mar 2016 15:13:19 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=ML32ciE6mTlGs4dfrBxpeMTw05Jjurb0ZgKbuP80SPY=;
 b=WjPVSql2xoJh9VDYoKpY1ZPrCZpLT9uoOaOi9hJhy0hXArnN8yAibE3Slp0hsf5L9A
 9C1DA7F/Hf41Szw4X80LxAFCXWFTnFx5P9tnyRHgpZwlR2YEW68nYl1JPdpmEbIYpXZx
 GGydFG9O6xJk0xolZkchADYl3vwQKAlIvIVPZ0VETOD6UIFqtEdSbR5lE1/Ssa4mvk7m
 tA0ByIxa+o18cd1X7G+3r7xmsVwJuez+7r+4FmbwZRCdXOlHpxUMc4IKnJbkPM3l6fEd
 onOsYNxcTmFurGOKPH+F16Df+QKCrT4pi8463CXqxHgniU0U/BDhtVKRfMrq+7wai2xg
 kiXw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=ML32ciE6mTlGs4dfrBxpeMTw05Jjurb0ZgKbuP80SPY=;
 b=fQIcT6JhJ0E0UIaMLNSHrD0exdG89qnpaSwT2lClot0HyeT9sN81blkjBJfsjlPlG3
 MKUh08z/GQsUnin9U7zSHtE5MvIWx4xesGfH0N+pucO2oFXzBu5GhDu6PH4JSJBkb7bJ
 WiujK1nP2AnMinsrN2+aX9AK4czuRNZtCSAPC9xSy60fXfZKub7H1H7mOhLOZvWUY9uf
 vK/UBR5tlMFaTFPP3ljbh+5GLh0QsMbQ0nhYMwGNGvhNli1Ed852Jz62JHm7QrjfroLp
 zqreaO2SBu05kJJznpm9CVGaDTSA+cAC0/Waysk3nKlFrbad+aGXfCWvCasPMzzOMJKR
 0mZg==
X-Gm-Message-State: AD7BkJK6pOBCNe6mYGumxLsicjj9QTp0kSCuMV+9eyAbyzpJKUl+tdKxngeHFER17zbLDA==
X-Received: by 10.112.227.71 with SMTP id ry7mr8152837lbc.50.1458425593121;
 Sat, 19 Mar 2016 15:13:13 -0700 (PDT)
Received: from x240 (168.165.34.95.customer.cdi.no. [95.34.165.168])
 by smtp.gmail.com with ESMTPSA id p141sm3282568lfe.40.2016.03.19.15.13.12
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sat, 19 Mar 2016 15:13:12 -0700 (PDT)
From: =?utf-8?Q?Simen_Heggest=C3=B8yl?= <simenheg@HIDDEN>
To: Jostein =?utf-8?Q?Kj=C3=B8nigsen?= <jostein@HIDDEN>
Subject: Re: bug#19946: 24.4; js-mode, indentation
References: <1424858977.3139392.232164745.05CFB51D@HIDDEN>
Date: Sat, 19 Mar 2016 23:13:11 +0100
In-Reply-To: <1424858977.3139392.232164745.05CFB51D@HIDDEN>
 ("Jostein \=\?utf-8\?Q\?Kj\=C3\=B8nigsen\=22's\?\= message of "Wed, 25 Feb 2015
 11:09:37 +0100")
Message-ID: <87r3f6unew.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.92 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 19946
Cc: dan.colascione@HIDDEN, 19946 <at> debbugs.gnu.org, jostein@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Can confirm that this bug is still present on the current master branch
(070b9de). The following patch seems to fix it:


From 9b9f09d518617d165833602d863ea8afedcec401 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Simen=20Heggest=C3=B8yl?= <simenheg@HIDDEN>
Date: Sat, 19 Mar 2016 21:33:02 +0100
Subject: [PATCH] Handle indentation after carriage return better

* lisp/progmodes/js.el (js--proper-indentation): Handle indentation
after carriage return better (bug#19946).
---
 lisp/progmodes/js.el | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/lisp/progmodes/js.el b/lisp/progmodes/js.el
index 1e5cc60..a156080 100644
--- a/lisp/progmodes/js.el
+++ b/lisp/progmodes/js.el
@@ -1963,7 +1963,7 @@ js--proper-indentation
                  (switch-keyword-p (looking-at "default\\_>\\|case\\_>[^:]"))
                  (continued-expr-p (js--continued-expression-p)))
              (goto-char (nth 1 parse-status)) ; go to the opening char
-             (if (looking-at "[({[]\\s-*\\(/[/*]\\|$\\)")
+             (if (looking-at "[({[]\\s-*\\(/[/*]\\|\n\\|\r\\)")
                  (progn ; nothing following the opening paren/bracket
                    (skip-syntax-backward " ")
                    (when (eq (char-before) ?\)) (backward-list))
-- 
2.7.0





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19946; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 Feb 2015 16:44:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 25 11:44:49 2015
Received: from localhost ([127.0.0.1]:57975 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YQf4o-00065Y-Vh
	for submit <at> debbugs.gnu.org; Wed, 25 Feb 2015 11:44:49 -0500
Received: from eggs.gnu.org ([208.118.235.92]:52287)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jostein@HIDDEN>) id 1YQYuq-0001mB-3o
 for submit <at> debbugs.gnu.org; Wed, 25 Feb 2015 05:10:06 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jostein@HIDDEN>) id 1YQYug-0001ZV-62
 for submit <at> debbugs.gnu.org; Wed, 25 Feb 2015 05:09:58 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.8 required=5.0 tests=AC_HTML_NONSENSE_TAGS, BAYES_50,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:39756)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jostein@HIDDEN>) id 1YQYuf-0001ZM-S3
 for submit <at> debbugs.gnu.org; Wed, 25 Feb 2015 05:09:53 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:53956)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jostein@HIDDEN>) id 1YQYuZ-0000yb-9n
 for bug-gnu-emacs@HIDDEN; Wed, 25 Feb 2015 05:09:53 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jostein@HIDDEN>) id 1YQYuS-0001UY-7Z
 for bug-gnu-emacs@HIDDEN; Wed, 25 Feb 2015 05:09:47 -0500
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:58475)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jostein@HIDDEN>) id 1YQYuR-0001TB-Rh
 for bug-gnu-emacs@HIDDEN; Wed, 25 Feb 2015 05:09:40 -0500
Received: from compute6.internal (compute6.nyi.internal [10.202.2.46])
 by mailout.nyi.internal (Postfix) with ESMTP id 34BC3208FF
 for <bug-gnu-emacs@HIDDEN>; Wed, 25 Feb 2015 05:09:37 -0500 (EST)
Received: from web5 ([10.202.2.215])
 by compute6.internal (MEProxy); Wed, 25 Feb 2015 05:09:38 -0500
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=
 secure.kjonigsen.net; h=message-id:x-sasl-enc:from:to:cc
 :mime-version:content-transfer-encoding:content-type:subject
 :reply-to:date; s=mesmtp; bh=Dj9iqpubKRr6U5DT1J/thaWOvcU=; b=ihT
 tsxwnzmvdPDBxocvuJQ+JXp6Kxh9IwaJtAp462LPuev9uz749rG5igq+DJyoFXm+
 7aMQoqr4b7qDyDqEwF6h6UFsM+WQIzP1klqokaM3ap9VPqsLc/KHbBYw5PqUOrEN
 9XPCGoMnyzeE4SJwzEn8ga4siMS91ZChF2Kd6L9E=
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=
 messagingengine.com; h=message-id:x-sasl-enc:from:to:cc
 :mime-version:content-transfer-encoding:content-type:subject
 :reply-to:date; s=smtpout; bh=Dj9iqpubKRr6U5DT1J/thaWOvcU=; b=SC
 /Pw+8QFEDh5iK9FIs8t8P4jgXhxJRlfFwwPj9/dAV/zL3nm8CfSMaG/wqR7YUHGY
 diYpcmsuwY2pcfzkvJB/snJldbo9RGN22yrrnj5MDAnuT2goW4vykfgncAotq8rx
 QYxJEvuGW+a3urMmMveomBu6PgH96ETHWQCW5MeAE=
Received: by web5.nyi.internal (Postfix, from userid 99)
 id C5FD4B24141; Wed, 25 Feb 2015 05:09:37 -0500 (EST)
Message-Id: <1424858977.3139392.232164745.05CFB51D@HIDDEN>
X-Sasl-Enc: LN1CziYMTN3m1c842/qSdkfv/MAYoh+FdwAV1IBdOUqI 1424858977
From: =?ISO-8859-1?Q?Jostein=20Kj=F8nigsen?= <jostein@HIDDEN>
To: bug-gnu-emacs@HIDDEN
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
Content-Type: text/plain
X-Mailer: MessagingEngine.com Webmail Interface - ajax-4ba7306c
Subject: 24.4; js-mode, indentation
Date: Wed, 25 Feb 2015 11:09:37 +0100
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 25 Feb 2015 11:44:43 -0500
Cc: dancol@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: jostein@HIDDEN
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)


To reproduce bug:

1. Open a js-file with mixed line-endings (starting with Linux, then
some windows)
2. Enable js-mode
3. Observe that SOME lines ends with ^M, some does not.
4. When a line ends with a opening curly-brace { followed by a ^M, you
   will find that the next line is not indented by js-indent-level, but
   up to the ^M + js-indent-level.

If this happens anywhere in the document, all indentation following this
point will be equally off.

While it can be argued the error was letting mixed line-endings in in
the first place, this does make sharing JS-files between Unix and
Windows-systems very hard and it would be nice is js-mode could smooth
over such issues.



In GNU Emacs 24.4.1 (i686-pc-mingw32)
 of 2014-10-24 on LEG570
Windowing system distributor `Microsoft Corp.', version 6.3.9600
Configured using:
 `configure --prefix=/c/usr'

Important settings:
  value of $LANG: NOR
  locale-coding-system: cp1252

Major mode: Javascript

Minor modes in effect:
  magit-auto-revert-mode: t
  diff-auto-refine-mode: t
  helm-occur-match-plugin-mode: t
  electric-pair-mode: t
  show-paren-mode: t
  projectile-mode: t
  which-function-mode: t
  linum-mode: t
  company-mode: t
  global-hl-line-mode: t
  global-undo-tree-mode: t
  undo-tree-mode: t
  ido-yes-or-no-mode: t
  global-auto-revert-mode: t
  delete-selection-mode: t
  shell-dirtrack-mode: t
  flycheck-mode: t
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<backspace> , SPC m a k e SPC <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
C-k C-x C-s <down> <down> <down> <down> <down-mouse-1> 
<mouse-1> <down-mouse-1> <mouse-1> <down-mouse-1> <mouse-1> 
C-s w e b - <home> <right> s e t q SPC <end> <return> 
( s e t q SPC j s - <company-dummy-event> i n d e n 
t <return> SPC 4 <end> <C-home> <wheel-down> <double-wheel-down> 
<triple-wheel-down> <wheel-up> <double-wheel-up> <triple-wheel-up> 
<wheel-down> <double-wheel-down> <wheel-down> <double-wheel-down> 
<triple-wheel-down> <triple-wheel-down> <triple-wheel-down> 
<down-mouse-1> <mouse-1> <home> ; ; <up> <home> ; ; 
C-x C-s C-x v g <down> <down> <down> <down> <down> 
s c c E m a s c : S-SPC F i x <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
c s : S-SPC F i x SPC J S - s e t t i n g s . C-c C-c 
q C-x C-k <return> <down-mouse-1> <mouse-1> <down-mouse-1> 
<mouse-1> <down-mouse-1> <mouse-1> <down-mouse-1> <mouse-1> 
<help-echo> <return> C-u 4 0 = <return> C-u 4 0 C-0 
= C-z C-u 4 0 = <return> <up> <up> C-SPC <down> <down> 
C-w <down-mouse-1> <mouse-1> <drag-n-drop> <down-mouse-1> 
<mouse-1> <drag-n-drop> M-x j s - m o <tab> <return> 
C-x C-s SPC <backspace> C-x C-s q <down-mouse-1> <mouse-1> 
C-x C-s <down-mouse-1> <mouse-1> <down-mouse-1> <mouse-1> 
<drag-n-drop> C-x C-k <return> <drag-n-drop> <drag-n-drop> 
M-x j s - m o <tab> <return> x s i n <tab> <backspace> 
<backspace> <backspace> <backspace> <down-mouse-1> 
<mouse-1> <wheel-down> <double-wheel-down> <triple-wheel-down> 
<triple-wheel-down> <triple-wheel-down> <wheel-down> 
<double-wheel-down> <triple-wheel-down> <wheel-down> 
<double-wheel-down> <triple-wheel-down> <wheel-down> 
<double-wheel-down> <wheel-down> <double-wheel-down> 
<triple-wheel-down> <wheel-down> <double-wheel-down> 
<triple-wheel-down> <triple-wheel-down> <wheel-up> 
<double-wheel-up> <triple-wheel-up> <triple-wheel-up> 
<triple-wheel-up> <triple-wheel-up> <triple-wheel-up> 
<triple-wheel-up> <triple-wheel-up> <triple-wheel-up> 
<triple-wheel-up> <triple-wheel-up> M-x e m a c s - 
u <backspace> b u <tab> <backspace> <backspace> b u 
g <tab> <wheel-up> <help-echo> <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> <backspace> <backspace> r e p o r t - e 
m <tab> <return>

Recent messages:
Empty cache. Projectile is initializing cache...
Projectile is indexing
d:/Seven/Patches/Patch80/Clients/SM.web/Webs/CRM.Web.Development/. This
may take a while.
Quit
D:/Seven/Patches/Patch80/Clients/SM.web/Webs/CRM.Web.Development/gruntfile.js
and
d:/Seven/Patches/Patch80/Clients/SM.web/Webs/CRM.Web.Development/gruntfile.js
are the same file
'module' is not defined. [W117] [3 times]
'xsinmodule' is not defined. [W117] [2 times]
'module' is not defined. [W117]
Auto-saving...
byte-code: Beginning of buffer [3 times]
delete-backward-char: Text is read-only

Load-path shadows:
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/ox hides
c:/emacs/share/emacs/24.4/lisp/org/ox
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/ox-texinfo
hides c:/emacs/share/emacs/24.4/lisp/org/ox-texinfo
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/ox-publish
hides c:/emacs/share/emacs/24.4/lisp/org/ox-publish
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/ox-org
hides c:/emacs/share/emacs/24.4/lisp/org/ox-org
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/ox-odt
hides c:/emacs/share/emacs/24.4/lisp/org/ox-odt
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/ox-md hides
c:/emacs/share/emacs/24.4/lisp/org/ox-md
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/ox-man
hides c:/emacs/share/emacs/24.4/lisp/org/ox-man
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/ox-latex
hides c:/emacs/share/emacs/24.4/lisp/org/ox-latex
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/ox-icalendar
hides c:/emacs/share/emacs/24.4/lisp/org/ox-icalendar
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/ox-html
hides c:/emacs/share/emacs/24.4/lisp/org/ox-html
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/ox-beamer
hides c:/emacs/share/emacs/24.4/lisp/org/ox-beamer
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/ox-ascii
hides c:/emacs/share/emacs/24.4/lisp/org/ox-ascii
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/org hides
c:/emacs/share/emacs/24.4/lisp/org/org
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/org-w3m
hides c:/emacs/share/emacs/24.4/lisp/org/org-w3m
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/org-version
hides c:/emacs/share/emacs/24.4/lisp/org/org-version
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/org-timer
hides c:/emacs/share/emacs/24.4/lisp/org/org-timer
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/org-table
hides c:/emacs/share/emacs/24.4/lisp/org/org-table
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/org-src
hides c:/emacs/share/emacs/24.4/lisp/org/org-src
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/org-rmail
hides c:/emacs/share/emacs/24.4/lisp/org/org-rmail
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/org-protocol
hides c:/emacs/share/emacs/24.4/lisp/org/org-protocol
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/org-plot
hides c:/emacs/share/emacs/24.4/lisp/org/org-plot
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/org-pcomplete
hides c:/emacs/share/emacs/24.4/lisp/org/org-pcomplete
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/org-mouse
hides c:/emacs/share/emacs/24.4/lisp/org/org-mouse
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/org-mobile
hides c:/emacs/share/emacs/24.4/lisp/org/org-mobile
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/org-mhe
hides c:/emacs/share/emacs/24.4/lisp/org/org-mhe
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/org-macs
hides c:/emacs/share/emacs/24.4/lisp/org/org-macs
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/org-macro
hides c:/emacs/share/emacs/24.4/lisp/org/org-macro
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/org-loaddefs
hides c:/emacs/share/emacs/24.4/lisp/org/org-loaddefs
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/org-list
hides c:/emacs/share/emacs/24.4/lisp/org/org-list
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/org-irc
hides c:/emacs/share/emacs/24.4/lisp/org/org-irc
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/org-install
hides c:/emacs/share/emacs/24.4/lisp/org/org-install
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/org-inlinetask
hides c:/emacs/share/emacs/24.4/lisp/org/org-inlinetask
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/org-info
hides c:/emacs/share/emacs/24.4/lisp/org/org-info
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/org-indent
hides c:/emacs/share/emacs/24.4/lisp/org/org-indent
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/org-id
hides c:/emacs/share/emacs/24.4/lisp/org/org-id
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/org-habit
hides c:/emacs/share/emacs/24.4/lisp/org/org-habit
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/org-gnus
hides c:/emacs/share/emacs/24.4/lisp/org/org-gnus
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/org-footnote
hides c:/emacs/share/emacs/24.4/lisp/org/org-footnote
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/org-feed
hides c:/emacs/share/emacs/24.4/lisp/org/org-feed
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/org-faces
hides c:/emacs/share/emacs/24.4/lisp/org/org-faces
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/org-eshell
hides c:/emacs/share/emacs/24.4/lisp/org/org-eshell
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/org-entities
hides c:/emacs/share/emacs/24.4/lisp/org/org-entities
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/org-element
hides c:/emacs/share/emacs/24.4/lisp/org/org-element
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/org-docview
hides c:/emacs/share/emacs/24.4/lisp/org/org-docview
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/org-datetree
hides c:/emacs/share/emacs/24.4/lisp/org/org-datetree
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/org-ctags
hides c:/emacs/share/emacs/24.4/lisp/org/org-ctags
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/org-crypt
hides c:/emacs/share/emacs/24.4/lisp/org/org-crypt
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/org-compat
hides c:/emacs/share/emacs/24.4/lisp/org/org-compat
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/org-colview
hides c:/emacs/share/emacs/24.4/lisp/org/org-colview
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/org-clock
hides c:/emacs/share/emacs/24.4/lisp/org/org-clock
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/org-capture
hides c:/emacs/share/emacs/24.4/lisp/org/org-capture
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/org-bibtex
hides c:/emacs/share/emacs/24.4/lisp/org/org-bibtex
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/org-bbdb
hides c:/emacs/share/emacs/24.4/lisp/org/org-bbdb
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/org-attach
hides c:/emacs/share/emacs/24.4/lisp/org/org-attach
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/org-archive
hides c:/emacs/share/emacs/24.4/lisp/org/org-archive
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/org-agenda
hides c:/emacs/share/emacs/24.4/lisp/org/org-agenda
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/ob hides
c:/emacs/share/emacs/24.4/lisp/org/ob
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/ob-tangle
hides c:/emacs/share/emacs/24.4/lisp/org/ob-tangle
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/ob-table
hides c:/emacs/share/emacs/24.4/lisp/org/ob-table
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/ob-sqlite
hides c:/emacs/share/emacs/24.4/lisp/org/ob-sqlite
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/ob-sql
hides c:/emacs/share/emacs/24.4/lisp/org/ob-sql
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/ob-shen
hides c:/emacs/share/emacs/24.4/lisp/org/ob-shen
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/ob-sh hides
c:/emacs/share/emacs/24.4/lisp/org/ob-sh
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/ob-screen
hides c:/emacs/share/emacs/24.4/lisp/org/ob-screen
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/ob-scheme
hides c:/emacs/share/emacs/24.4/lisp/org/ob-scheme
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/ob-scala
hides c:/emacs/share/emacs/24.4/lisp/org/ob-scala
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/ob-sass
hides c:/emacs/share/emacs/24.4/lisp/org/ob-sass
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/ob-ruby
hides c:/emacs/share/emacs/24.4/lisp/org/ob-ruby
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/ob-ref
hides c:/emacs/share/emacs/24.4/lisp/org/ob-ref
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/ob-R hides
c:/emacs/share/emacs/24.4/lisp/org/ob-R
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/ob-python
hides c:/emacs/share/emacs/24.4/lisp/org/ob-python
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/ob-plantuml
hides c:/emacs/share/emacs/24.4/lisp/org/ob-plantuml
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/ob-picolisp
hides c:/emacs/share/emacs/24.4/lisp/org/ob-picolisp
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/ob-perl
hides c:/emacs/share/emacs/24.4/lisp/org/ob-perl
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/ob-org
hides c:/emacs/share/emacs/24.4/lisp/org/ob-org
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/ob-octave
hides c:/emacs/share/emacs/24.4/lisp/org/ob-octave
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/ob-ocaml
hides c:/emacs/share/emacs/24.4/lisp/org/ob-ocaml
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/ob-mscgen
hides c:/emacs/share/emacs/24.4/lisp/org/ob-mscgen
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/ob-maxima
hides c:/emacs/share/emacs/24.4/lisp/org/ob-maxima
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/ob-matlab
hides c:/emacs/share/emacs/24.4/lisp/org/ob-matlab
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/ob-makefile
hides c:/emacs/share/emacs/24.4/lisp/org/ob-makefile
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/ob-lob
hides c:/emacs/share/emacs/24.4/lisp/org/ob-lob
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/ob-lisp
hides c:/emacs/share/emacs/24.4/lisp/org/ob-lisp
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/ob-lilypond
hides c:/emacs/share/emacs/24.4/lisp/org/ob-lilypond
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/ob-ledger
hides c:/emacs/share/emacs/24.4/lisp/org/ob-ledger
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/ob-latex
hides c:/emacs/share/emacs/24.4/lisp/org/ob-latex
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/ob-keys
hides c:/emacs/share/emacs/24.4/lisp/org/ob-keys
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/ob-js hides
c:/emacs/share/emacs/24.4/lisp/org/ob-js
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/ob-java
hides c:/emacs/share/emacs/24.4/lisp/org/ob-java
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/ob-io hides
c:/emacs/share/emacs/24.4/lisp/org/ob-io
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/ob-haskell
hides c:/emacs/share/emacs/24.4/lisp/org/ob-haskell
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/ob-gnuplot
hides c:/emacs/share/emacs/24.4/lisp/org/ob-gnuplot
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/ob-fortran
hides c:/emacs/share/emacs/24.4/lisp/org/ob-fortran
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/ob-exp
hides c:/emacs/share/emacs/24.4/lisp/org/ob-exp
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/ob-eval
hides c:/emacs/share/emacs/24.4/lisp/org/ob-eval
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/ob-emacs-lisp
hides c:/emacs/share/emacs/24.4/lisp/org/ob-emacs-lisp
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/ob-dot
hides c:/emacs/share/emacs/24.4/lisp/org/ob-dot
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/ob-ditaa
hides c:/emacs/share/emacs/24.4/lisp/org/ob-ditaa
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/ob-css
hides c:/emacs/share/emacs/24.4/lisp/org/ob-css
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/ob-core
hides c:/emacs/share/emacs/24.4/lisp/org/ob-core
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/ob-comint
hides c:/emacs/share/emacs/24.4/lisp/org/ob-comint
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/ob-clojure
hides c:/emacs/share/emacs/24.4/lisp/org/ob-clojure
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/ob-calc
hides c:/emacs/share/emacs/24.4/lisp/org/ob-calc
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/ob-C hides
c:/emacs/share/emacs/24.4/lisp/org/ob-C
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/ob-awk
hides c:/emacs/share/emacs/24.4/lisp/org/ob-awk
c:/Users/josteink/AppData/Roaming/.emacs.d/elpa/org-20141215/ob-asymptote
hides c:/emacs/share/emacs/24.4/lisp/org/ob-asymptote

Features:
(shadow sort mail-extr emacsbug sendmail expand-region
text-mode-expansions cc-mode-expansions the-org-mode-expansions
nxml-mode-expansions js2-mode-expansions js-mode-expansions
web-mode-expansions html-mode-expansions er-basic-expansions
expand-region-core expand-region-custom pcre2el rxt re-builder sgml-mode
org-table ox-latex ox-icalendar ox-html ox-ascii ox-publish ox hideshow
web-mode js2-mode nodejs-repl gnutls mule-util js-comint eldoc cus-edit
wid-edit hippie-exp nxml-uchnm rng-xsd xsd-regexp rng-cmpct rng-nxml
rng-valid rng-loc rng-uri rng-parse nxml-parse rng-match rng-dt rng-util
rng-pttrn nxml-ns nxml-mode nxml-outln nxml-rap nxml-util nxml-glyph
nxml-enc xmltok rect pp eieio-opt flyspell ispell tabify magit-key-mode
magit view epa derived diff-mode git-rebase-mode git-commit-mode
log-edit pcvs-util vc-git omnisharp helm-grep helm-regexp helm-plugin
helm-utils helm helm-source cc-langs csharp-mode cl
omnisharp-auto-complete-actions omnisharp-server-actions omnisharp-utils
popup warnings js json cc-mode cc-fonts cc-guess cc-menus cc-cmds
cc-styles cc-align cc-engine cc-vars cc-defs misearch multi-isearch
mule-diag debug elec-pair bat-mode browse-url executable org-element
org-rmail org-mhe org-irc org-info org-gnus org-docview doc-view
jka-compr image-mode dired org-bibtex bibtex org-bbdb org-w3m org
org-macro org-footnote org-pcomplete org-list org-faces org-entities
noutline outline org-version ob-emacs-lisp ob ob-tangle ob-ref ob-lob
ob-table ob-exp org-src ob-keys ob-comint ob-core ob-eval org-compat
org-macs org-loaddefs cal-menu calendar cal-loaddefs add-log
elisp-slime-nav paren paredit projectile ibuf-ext ibuffer pkg-info epl
grep f s ucs-normalize thingatpt which-func linum company-files
company-oddmuse company-keywords company-etags etags company-gtags
company-dabbrev-code company-dabbrev company-capf company-cmake
company-ropemacs company-xcode company-clang company-semantic
company-eclim company-template company-css company-nxml company-bbdb
company hl-line undo-tree diff easy-mmode imenu ido-yes-or-no ido
autorevert filenotify cus-start cus-load delsel server powershell-mode
speedbar sb-image ezimage dframe tramp tramp-compat tramp-loaddefs
trampver shell pcomplete flycheck find-func help-mode pcase subr-x dash
haskell-cabal haskell-utils let-alist rx tar-mode compile comint
ansi-color ring names cl-macs gv edebug autoload lisp-mnt epg mm-archive
message format-spec rfc822 mml mml-sec mailabbrev gmm-utils mailheader
mm-decode mm-bodies mm-encode mail-utils network-stream starttls
url-http tls mail-parse rfc2231 rfc2047 rfc2045 ietf-drums url-gw
url-cache url-auth url url-proxy url-privacy url-expand url-methods
url-history url-cookie url-domsuf url-util mailcap url-handlers
url-parse auth-source eieio byte-opt bytecomp byte-compile cconv
eieio-core gnus-util mm-util mail-prsvr password-cache url-vars
auto-complete-nxml-autoloads batch-mode-autoloads color-theme-autoloads
guru-mode-autoloads edmacro kmacro cl-loaddefs cl-lib
ido-yes-or-no-autoloads finder-inf macrostep-autoloads advice help-fns
nrepl-autoloads powershell-mode-autoloads pkg-info-autoloads info
easymenu slime-autoloads tidy-autoloads undo-tree-autoloads package
epg-config time-date tooltip electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel dos-w32 ls-lisp w32-common-fns disp-table w32-win
w32-vars tool-bar dnd fontset image regexp-opt fringe tabulated-list
newcomment lisp-mode prog-mode register page menu-bar rfn-eshadow timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
frame cham georgian utf-8-lang misc-lang vietnamese tibetan thai
tai-viet lao korean japanese hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese case-table epa-hook jka-cmpr-hook help
simple abbrev minibuffer nadvice loaddefs button faces cus-face macroexp
files text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote make-network-process
w32notify w32 multi-tty emacs)

Memory information:
((conses 8 1546043 178817)
 (symbols 32 59486 0)
 (miscs 32 5094 4985)
 (strings 16 180340 46397)
 (string-bytes 1 5113818)
 (vectors 8 84825)
 (vector-slots 4 1992267 169560)
 (floats 8 331 1445)
 (intervals 28 133812 6716)
 (buffers 508 72))




Acknowledgement sent to jostein@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#19946; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 28 Feb 2017 23:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.